[SETUP]
SETUP_CODE={E2CFEB56-89E0-48B8-B0DC-83789A35A7E1}
SETUP_TYPE=1
TITLE=\Autodesk Design Review 2013
LOG=%tmp%\Autodesk Design Review 2013.log
EVALMSI=SetupRes\eval.msi
PRIMARY_MSI=x86\ADR\SetupDesignReview2013.msi

SETUP_ICON=DesignReview.ico

SYSUPDATE=
RESOURCE_PATH=%lang%\SetupRes

# ??
LPMODE=MLD_ADR
DEFAULTMEDIALANGUAGE=en-US

DOCUMENT_LINK=http://www.autodesk.com/designreview-installationguide-2013-enu
SUPPORT_LINK=http://www.autodesk.com/designreview-readme-2013-enu
SYSTEMREQUIRE_LINK=http://www.autodesk.com/designreview-systemrequirements-2013-enu
# SetupRes\InfoLink\404.html ??
ERROR_PAGE=SetupRes\Infolink\404.html

#==================== Platform Requirement

OSMAJVER=5
OSMINVER=1
SPMAJVER=2

#=================== Install Execute & UI Sequence

EXE_SEQUENCE=ADR
INSTALL_SEQUENCE=ADR
UI_SEQUENCE=LaunchDlg;LicenseDlg;ProductSelectionDlg2;ADR;FullProgressDlg_ADR;InstallCompleteDlg

#==================== UI

TOP_BANNER=SetupRes\TopBanner.png
LOADING_IMAGE=SetupRes\DesignRev_install.png
BACKGROUND_IMAGE=SetupRes\DesignRev_install.png

UI_MODE=

#==================== Install Info

INSTALL_PATH=%ProgramFiles%\Autodesk
CREATE_DESKTOP_SHORTCUT=YES

#==================== Global MSI Properties

[GLOBAL_MSI_PROPERTIES]

#==================== Common UIs: install mode

[LaunchDlg]
UI_CREATOR=LaunchDialog
UI_SOURCE=Setup\SetupAcadUi.dll
BACKGROUND_IMAGE=SetupRes\DesignRev_install.png

[LicenseDlg]
UI_CREATOR=LicenseDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL

[ProductSelectionDlg2]
UI_CREATOR=ProductSelectionDialog2
UI_SOURCE=Setup\SetupAcadUi.dll
BACKGROUND_IMAGE=SetupRes\DesignRev_install.png

[InstallCompleteDlg]
UI_CREATOR=InstallCompleteDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE<>"DEPLOYMENT" AND ADSK_LAUNCH_MODE<>"MINIMAL_DEPLOYMENT"
BACKGROUND_IMAGE=SetupRes\DesignRev_install.png

#==================== Common UIs: maintenance mode

[MaintenanceDlg]
UI_CREATOR=MaintenanceDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL
BACKGROUND_IMAGE=SetupRes\DesignRev_install.png

[AddRemoveFeaturesDlg]
UI_CREATOR=AddRemoveFeaturesDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL AND NOT REINSTALL="ALL" AND NOT REMOVE="ALL"

[MaintVerifyReadyDlg]
UI_CREATOR=MaintVerifyReadyDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL

[MaintCompleteDlg]
UI_CREATOR=MaintCompleteDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL AND ADSK_SETUP_SUCCEEDED
BACKGROUND_IMAGE=SetupRes\DesignRev_install.png

[MaintFailedDlg]
UI_CREATOR=MaintFailedDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_CONDITION=NOT ADSK_OEMPREINSTALL AND NOT ADSK_SETUP_SUCCEEDED
BACKGROUND_IMAGE=SetupRes\DesignRev_install.png

#==================== General Prerequisites

[MSI]
PLATFORM=ALL
PRODUCT_NAME=Windows Installer Redistributable
EXE_PATH=msi
EXE_PARAM=/quiet /norestart
VC_FUNC=MsiVerCheck
VC_SOURCE=Setup\SetupUi.dll
VC_PARAM=4.0
VC_DESCRIPTION=Detecting MSI

[VCREDIST2010SP1X86]
PLATFORM=ALL
PRODUCT_NAME=Microsoft Visual C++ 2010 SP1 Redistributable (x86)
EXE_PATH=support\VCRedist\2010\vcredist_x86.exe
EXE_PARAM=/q /l %temp%\vcredist_x86_2010.log
VC_FUNC=VCx86RedisCheck
VC_PARAM=VC2010
VC_SOURCE=Setup\adrsetup.dll
IGNORE_FAILURE=YES

[DOTNET]
PLATFORM=ALL
PRODUCT_NAME=.NET Framework Runtime 4.0
EXE_PATH=support\DotNet\dotNetFx40.exe
VC_PARAM=4.0.30319
VC_DESCRIPTION=Detecting .NET 4.0 Runtime

[DOTNET4]
PLATFORM=ALL
PRODUCT_NAME=.NET Framework Runtime 4.0
EXE_PATH=support\DotNet\dotNetFx40.exe
EXE_PARAM=/q
#== You will need to copy testapp\CDROM1\NetVerifier folder
VC_FUNC=DotnetVerify
VC_SOURCE=Setup\SetupUi.dll
VC_PARAM=.NET Framework 4 Full
VC_DESCRIPTION=Detecting .NET 4.0 Runtime
DISKCOST=80000000
IGNORE_FAILURE=YES

[UNINSTVIEWERS]
PLATFORM=ALL
PRODUCT_NAME=Autodesk Design Review 2013
EXE_PATH=setup\UninDwfVrs.exe
ROLLBACKABLE=NO
VC_FUNC=DetectOldViewers
VC_SOURCE=Setup\adrsetup.dll
VC_PARAM=
VC_DESCRIPTION=Detecting old versions of DWF Viewers
IGNORE_FAILURE=YES

#=================== ADR

[ADR]
PLATFORM=ALL
PRODUCT_NAME=Autodesk Design Review 2013
PRODUCT_ICON=DesignReview.ico
PREREQUISITE=UNINSTVIEWERS;VCREDIST2010SP1X86;DOTNET4
REMOVE_PRODUCTS={8D20B4D7-3422-4099-9332-39F27E617A6F};{55D9E026-DCB0-46FF-B60A-68B972228CF6};{450063AA-643B-417C-8CF5-405BA3F4EF40};{02A00C13-555A-4B8A-B53B-1D02FFF5EEAF};{106EC844-9F5E-4B72-BB3B-1E47D274A944};{FACF203E-0F4D-489A-B80C-D185253C8FCB};{1A2948E0-9445-42BE-9D01-472952F2657F};{9A346205-EA92-4406-B1AB-50379DA3F057};{C46C3C20-039E-4D7C-869F-9C0C05D65C06};{577D60CB-0D5E-48D1-8850-84098AD34804};{1ECD6EC8-7BB2-4CD5-A384-BAA371BC4D21};{4780F600-0000-0409-0000-114715ACF216};{A49BDCBE-590E-43A6-AB77-7C40E499B7C1};{9E4D5A41-1051-4F1A-8342-ECB26CA0C86C}
EXE_PATH=x86\ADR\SetupDesignReview2013.msi
EULA_PATH=eula
PRODUCT_MESSAGE=ADRInstRes.dll;107
LOG=%temp%\ADRInstall2013.log
UI_SEQUENCE=InstallTypePage_ADR
MAINTENANCE_UI_SEQUENCE=MaintenanceDlg;AddRemoveFeaturesDlg;MaintVerifyReadyDlg;FullProgressDlg_ADR;MaintCompleteDlg;MaintFailedDlg
ALLOW_ADD_REMOVE=NO
ACTION=INSTALL
BACKGROUND_IMAGE=SetupRes\DesignRev_install.png

#== Add more available languages
LPMODE=MLD_ADR
AVAILABLELANGUAGES=en-US
DEFAULTMEDIALANGUAGE=en-US

#================== ADR UI Sequence

[FullProgressDlg_ADR]
UI_CREATOR=FullProgressDialog
UI_SOURCE=Setup\SetupAcadUi.dll
UI_INFOTAINMENT_PATH=SetupRes\Infotainment\Images
UI_INFOTAINMENT_ELAPSE=18000
UI_POSTCONSTRUCT=HideCancelButton
UI_POSTCONSTRUCT_SOURCE=Setup\adrsetup.dll
BACKGROUND_IMAGE=SetupRes\DesignRev_install.png

[InstallTypePage_ADR]
UI_CREATOR=InstallTypePage
UI_SOURCE=Setup\SetupAcadUi.dll